@extends('layouts.app')

@section('content')

        <!-- [ breadcrumb ] start -->
        <div class="page-header">
            <div class="page-block">
                <div class="row align-items-center">
                    <div class="col-md-12">
                        <div class="page-header-title">
                            <h5 class="m-b-10">User Profile</h5>
                        </div>
                        <ul class="breadcrumb">
                            <li class="breadcrumb-item"><a href="index.html">Home</a></li>
                            <li class="breadcrumb-item"><a href="#!">User</a></li>
                            <li class="breadcrumb-item">Profile</li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <!-- [ breadcrumb ] end -->
        <!-- [ Main Content ] start -->
        <div class="row">
            <!-- [ sample-page ] start -->
            <div class="col-lg-4">
                <div class="card user-card user-card-1">
                    <div class="card-body pb-0">
                        <!--<div class="float-end">
                            <span class="badge bg-light-danger">Pro</span>
                        </div>-->
                        <div class="media user-about-block align-items-center mt-0 mb-3">
                            <div class="position-relative d-inline-block">
                                <img class="img-radius img-fluid wid-80" src="{{url('/storage/profile_images/'.auth()->user()->profile_picture ) }}" alt="User image">
                                <div class="certificated-badge">
                                    <i class="fas fa-certificate text-primary bg-icon"></i>
                                    <i class="fas fa-check front-icon text-white"></i>
                                </div>
                            </div>
                            <div class="media-body ms-3">
                                <h6 class="mb-1">{{$user->name}} {{$user->firstname}}</h6>
                                <p class="mb-0 text-muted">{{ $user->id == 1 ? 'Admin' : ''}}</p>
                            </div>
                        </div>
                    </div>
                    <ul class="list-group list-group-flush">
                        <li class="list-group-item">
                            <span class="f-w-500"><i class="feather icon-mail m-r-10"></i>Adressee email</span>
                            <a href="mailto:demo@sample" class="float-end text-body">{{$user->email}}</a>
                        </li>
                        <li class="list-group-item">
                            <span class="f-w-500"><i class="feather icon-phone-call m-r-10"></i>Phone</span>
                            <a href="#" class="float-end text-body">{{$user->phone_number}}</a>
                        </li>
                        <li class="list-group-item border-bottom-0">
                            <span class="f-w-500"><i class="feather icon-map-pin m-r-10"></i>Ville</span>
                            <span class="float-end">{{$user->city}}</span>
                        </li>
                    </ul>
                    <!--<div class="card-body">
                        <div class="row text-center">
                            <div class="col">
                                <h6 class="mb-1">37</h6>
                                <p class="mb-0">Mails</p>
                            </div>
                            <div class="col border-start">
                                <h6 class="mb-1">2749</h6>
                                <p class="mb-0">Followers</p>
                            </div>
                            <div class="col border-start">
                                <h6 class="mb-1">678</h6>
                                <p class="mb-0">Following</p>
                            </div>
                        </div>
                    </div>-->
                    <div class="nav flex-column nav-pills list-group list-group-flush list-pills" id="user-set-tab" role="tablist" aria-orientation="vertical">
                        <a class="nav-link list-group-item list-group-item-action active" id="user-set-profile-tab" data-bs-toggle="pill" href="#user-set-profile" role="tab" aria-controls="user-set-profile" aria-selected="true">
                            <span class="f-w-500"><i class="feather icon-user m-r-10 h5 "></i>Aperçu du profil</span>
                            <span class="float-end"><i class="feather icon-chevron-right"></i></span>
                        </a>
                        <a class="nav-link list-group-item list-group-item-action" id="user-set-information-tab" data-bs-toggle="pill" href="#user-set-information" role="tab" aria-controls="user-set-information" aria-selected="false">
                            <span class="f-w-500"><i class="feather icon-file-text m-r-10 h5 "></i>Informations personnelles</span>
                            <span class="float-end"><i class="feather icon-chevron-right"></i></span>
                        </a>
                        <!--<a class="nav-link list-group-item list-group-item-action" id="user-set-account-tab" data-bs-toggle="pill" href="#user-set-account" role="tab" aria-controls="user-set-account" aria-selected="false">
                            <span class="f-w-500"><i class="feather icon-book m-r-10 h5 "></i>Account Information</span>
                            <span class="float-end"><i class="feather icon-chevron-right"></i></span>
                        </a>-->
                        <a class="nav-link list-group-item list-group-item-action" id="user-set-passwort-tab" data-bs-toggle="pill" href="#user-set-passwort" role="tab" aria-controls="user-set-passwort" aria-selected="false">
                            <span class="f-w-500"><i class="feather icon-shield m-r-10 h5 "></i>Changement de mot de passe</span>
                            <span class="float-end"><i class="feather icon-chevron-right"></i></span>
                        </a>
                        <!--<a class="nav-link list-group-item list-group-item-action" id="user-set-email-tab" data-bs-toggle="pill" href="#user-set-email" role="tab" aria-controls="user-set-email" aria-selected="false">
                            <span class="f-w-500"><i class="feather icon-mail m-r-10 h5 "></i>Email settings</span>
                            <span class="float-end"><i class="feather icon-chevron-right"></i></span>
                        </a>-->
                    </div>
                </div>
                <!--<div class="card">
                    <div class="card-header">
                        <h5>Hello card</h5>
                        <div class="card-header-right">
                            <div class="btn-group card-option">
                                <button type="button" class="btn dropdown-toggle btn-icon" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="feather icon-more-horizontal"></i>
                                </button>
                                <ul class="list-unstyled card-option dropdown-menu dropdown-menu-end">
                                    <li class="dropdown-item full-card"><a href="#!"><span><i class="feather icon-maximize"></i> maximize</span><span style="display:none"><i class="feather icon-minimize"></i> Restore</span></a></li>
                                    <li class="dropdown-item minimize-card"><a href="#!"><span><i class="feather icon-minus"></i> collapse</span><span style="display:none"><i class="feather icon-plus"></i> expand</span></a></li>
                                    <li class="dropdown-item reload-card"><a href="#!"><i class="feather icon-refresh-cw"></i> reload</a></li>
                                    <li class="dropdown-item close-card"><a href="#!"><i class="feather icon-trash"></i> remove</a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit sed do eiusmod tempor incididunt
                        </p>
                    </div>
                </div>-->
            </div>
            <div class="col-lg-8">
                <div class="tab-content" id="user-set-tabContent">
                    <div class="tab-pane fade show active" id="user-set-profile" role="tabpanel" aria-labelledby="user-set-profile-tab">
                        <!--<div class="alert alert-danger alert-dismissible" role="alert">
                            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close">
                            </button>
                            <h5 class="alert-heading"><i class="feather icon-alert-circle me-2"></i> Email Verification</h5>
                            <p class="mb-0">Your email is not confirmed. Please check your inbox. <a href="#!" class="text-danger"> Resend confirmation</a></p>
                        </div>-->
                        <div class="card">
                            <div class="card-header">
                                <h5><i data-feather="user" class="icon-svg-primary wid-20"></i><span class="p-l-5">A propos de moi</span></h5>
                            </div>
                            <div class="card-body">
                                <p>
                                    {{$user->biography}}
                                </p>
                                <h5 class="mt-5 mb-3">Détails personnelles</h5>
                                <table class="table table-borderless">
                                    <tbody>
                                        <tr>
                                            <td class="">Nom complet</td>
                                            <td class="">:</td>
                                            <td class="">{{$user->name}} {{$user->firstname}}</td>
                                        </tr>
                                        <!--<tr>
                                            <td class="">Father's Name</td>
                                            <td class="">:</td>
                                            <td class="">Mr. Deepak Handge</td>
                                        </tr>-->
                                        <tr>
                                            <td class="">Adresse</td>
                                            <td class="">:</td>
                                            <td class="">{{$user->address}}</td>
                                        </tr>
                                        <tr>
                                            <td class="">Code postal</td>
                                            <td class="">:</td>
                                            <td class="">{{$user->postal_code}}</td>
                                        </tr>
                                        <tr>
                                            <td class="">Téléphone</td>
                                            <td class="">:</td>
                                            <td class="">{{$user->phone_number}}</td>
                                        </tr>
                                        <tr>
                                            <td class="">Adresse email</td>
                                            <td class="">:</td>
                                            <td class="">{{$user->email}}</td>
                                        </tr>
                                        <!--<tr>
                                            <td class="">Website</td>
                                            <td class="">:</td>
                                            <td class="">http://example.com</td>
                                        </tr>-->

                                    </tbody>
                                </table>
                                <!-- Education -->
                                <!--<h5 class="mt-5 mb-4 pb-3 border-bottom">Education</h5>
                                <div class="row align-items-center mb-3">
                                    <div class="col-sm-3">
                                        <h5>2014-2017</h5><span>Master Degree</span>
                                    </div>
                                    <div class="col-sm-9 border-start">
                                        <h6>Master Degree in Computer Application</h6>
                                        <p>University of Oxford, England</p>
                                    </div>
                                </div>
                                <div class="row align-items-center mb-3">
                                    <div class="col-sm-3">
                                        <h5>2011-2013</h5><span>Bechelor</span>
                                    </div>
                                    <div class="col-sm-9 border-start">
                                        <h6>Bachelor Degree in Computer Engineering</h6>
                                        <p>Imperial College London</p>
                                    </div>
                                </div>
                                <div class="row align-items-center mb-3">
                                    <div class="col-sm-3">
                                        <h5>2009-2011</h5><span>School</span>
                                    </div>
                                    <div class="col-sm-9 border-start">
                                        <h6>Higher Secondry Education</h6>
                                        <p>School of London, England</p>
                                    </div>
                                </div>
                                <h5 class="mt-5 mb-4 pb-3 border-bottom">Employment</h5>
                                <div class="row align-items-center mb-3">
                                    <div class="col-sm-3">
                                        <h5>Current</h5><span>Senior</span>
                                    </div>
                                    <div class="col-sm-9 border-start">
                                        <h6>Senior UI/UX designer</h6>
                                        <p class="mb-1">Perform task related to project manager with the 100+ team under my observation. Team management is key role in this company.</p>
                                        <span class="text-muted">Microsoft, TX, USA</span>
                                    </div>
                                </div>
                                <div class="row align-items-center mb-3">
                                    <div class="col-sm-3">
                                        <h5>2017-2019</h5><span>Junior</span>
                                    </div>
                                    <div class="col-sm-9 border-start">
                                        <h6>Trainee cum Project Manager</h6>
                                        <span class="text-muted">Microsoft, TX, USA</span>
                                    </div>
                                </div>-->
                                <!--<h5 class="mt-5 mb-4 pb-3 border-bottom">Skills</h5>
                                <div class="row align-items-center mt-3">
                                    <div class="col-md-6 mb-3">
                                        <h6 class="m-b-10 text-muted">Web Designer</h6>
                                        <div class="row align-items-center">
                                            <div class="col">
                                                <div class="progress" style="height:8px">
                                                    <div class="progress-bar bg-primary" style="width:70%"></div>
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <h6 class="m-b-0">70%</h6>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6 mb-3">
                                        <h6 class="m-b-10 text-muted">Graphic Designer</h6>
                                        <div class="row align-items-center">
                                            <div class="col">
                                                <div class="progress" style="height:8px">
                                                    <div class="progress-bar bg-success" style="width:85%"></div>
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <h6 class="m-b-0">80%</h6>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6 mb-3">
                                        <h6 class="m-b-10 text-muted">UX Researcher</h6>
                                        <div class="row align-items-center">
                                            <div class="col">
                                                <div class="progress" style="height:8px">
                                                    <div class="progress-bar bg-success" style="width:85%"></div>
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <h6 class="m-b-0">3.2</h6>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6 mb-3">
                                        <h6 class="m-b-10 text-muted">HTML</h6>
                                        <div class="row align-items-center">
                                            <div class="col">
                                                <div class="progress" style="height:8px">
                                                    <div class="progress-bar bg-warning" style="width:45%"></div>
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <h6 class="m-b-0">45%</h6>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6 mb-3">
                                        <h6 class="m-b-10 text-muted">Wordpress</h6>
                                        <div class="row align-items-center">
                                            <div class="col">
                                                <div class="progress" style="height:8px">
                                                    <div class="progress-bar bg-danger" style="width:25%"></div>
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <h6 class="m-b-0">25%</h6>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6 mb-3">
                                        <h6 class="m-b-10 text-muted">PHP</h6>
                                        <div class="row align-items-center">
                                            <div class="col">
                                                <div class="progress" style="height:8px">
                                                    <div class="progress-bar bg-primary" style="width:65%"></div>
                                                </div>
                                            </div>
                                            <div class="col-auto">
                                                <h6 class="m-b-0">65%</h6>
                                            </div>
                                        </div>
                                    </div>
                                </div>-->
                            </div>
                        </div>
                    </div>

                    <div class="tab-pane fade" id="user-set-information" role="tabpanel" aria-labelledby="user-set-information-tab">
                        <div class="card">
                            <div class="card-header">
                                <h5><i data-feather="user" class="icon-svg-primary wid-20"></i><span class="p-l-5">Informations personnelles</span></h5>
                            </div>

                        <form method="POST" action="{{ route('profils.store') }}">
                            @csrf
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label class="form-label">Nom <span class="text-danger">*</span></label>
                                            <input type="text" class="form-control" value="{{$user->name}}" name="name">
                                        </div>
                                    </div>

                                    @if($user->role_id == 1 || $user->role_id == 2)
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label class="form-label">Prénom(s) <span class="text-danger">*</span></label>
                                            <input type="text" class="form-control" value="{{$user->firstname}}" name="firstname">
                                        </div>
                                    </div>

                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="focus-label">Date de naissance <span class="text-danger">*</span></label>
                                            <input class="form-control floating" type="date" value="{{$user->birth_date}}" name="birth_date">
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="focus-label">Civilité <span class="text-danger">*</span></label>
                                            <select class="select form-control" name="gender">
                                                <option value="M" {{  $user->gender == "M" ? 'selected' : '' }}>Mr</option>
                                                <option value="F" {{  $user->gender == "F" ? 'selected' : '' }}>Mme</option>
                                            </select>
                                        </div>
                                    </div>

                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label class="form-label">Ville <span class="text-danger">*</span></label>
                                            <input type="text" class="form-control" value="{{$user->city}}" name="city">
                                        </div>
                                    </div>
                                    
                                    @endif

                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label class="form-label">Code postal <span class="text-danger">*</span></label>
                                            <input type="text" class="form-control" value="{{$user->postal_code}}" name="postal_code">
                                        </div>
                                    </div>

                                    

                                    <div class="col-sm-12">
                                        <div class="form-group">
                                            <label class="form-label">Bio </label>
                                            <textarea class="form-control" name="biography">{{$user->biography}}</textarea>
                                        </div>
                                    </div>
                                    <!--<div class="col-sm-6">
                                        <div class="form-group">
                                            <label class="form-label">Experience<span class="text-danger">*</span></label>
                                            <select class="form-control">
                                                <option>Startup</option>
                                                <option>2 year</option>
                                                <option>3 year</option>
                                                <option selected>4 year</option>
                                                <option>5 year</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-sm-12">
                                        <div class="form-group">
                                            <label class="form-label">Skills</label>
                                            <select class="skill-mlt-select col-sm-12 " multiple="multiple">
                                                <option selected>admin template</option>
                                                <option>bootstrap</option>
                                                <option>css</option>
                                                <option>html5</option>
                                                <option>css3</option>
                                                <option>ionic</option>
                                                <option>framework</option>
                                                <option>javascript</option>
                                                <option>jquery</option>
                                                <option>scss</option>
                                                <option>uidesigner</option>
                                                <option>web designe</option>
                                                <option>webflow</option>
                                                <option>javascript</option>
                                            </select>
                                        </div>
                                    </div>-->
                                </div>
                            </div>
                            <!--<div class="card-header" <h5><i data-feather="share" class="icon-svg-primary wid-20"></i><span class="p-l-5">Social Information</span></h5>
                            </div>-->
                            <!--<div class="card-body">
                                <div class="form-group">
                                    <label class="form-label">Facebook</label>
                                    <div class="input-group">
                                        <span class="input-group-text bg-facebook text-white">
                                            <i class="fab fa-facebook-f"></i>
                                        </span>
                                        <input type="text" class="form-control" placeholder="Profile Url">
                                        <button class="btn btn-primary bg-facebook" type="button">Connect</button>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="form-label">Twitter</label>
                                    <div class="input-group">
                                        <span class="input-group-text bg-twitter text-white">
                                            <i class="fab fa-twitter"></i>
                                        </span>
                                        <input type="text" class="form-control" placeholder="Profile Url">
                                        <button class="btn btn-info bg-twitter" type="button">Connect</button>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="form-label">Google Plus</label>
                                    <div class="input-group">
                                        <span class="input-group-text bg-googleplus text-white">
                                            <i class="fab fa-google-plus-g"></i>
                                        </span>
                                        <input type="text" class="form-control" placeholder="Profile Url">
                                        <button class="btn btn-danger bg-googleplus" type="button">Connect</button>
                                    </div>
                                </div>
                            </div>-->
                            <div class="card-header">
                                <h5><i data-feather="map-pin" class="icon-svg-primary wid-20"></i><span class="p-l-5">Informations de Contact </span></h5>
                            </div>
                            <div class="card-body">
                                <div class="row">

                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label class="form-label">Téléphone <span class="text-danger">*</span></label>
                                            <input type="text" class="form-control" value="{{$user->phone_number}}" name="phone_number">
                                        </div>
                                    </div>

                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label class="form-label">Email <span class="text-danger">*</span></label>
                                            <input type="text" class="form-control" value="{{$user->email}}" name="email">
                                        </div>
                                    </div>

                                    <!--<div class="col-sm-12">
                                        <div class="form-group">
                                            <label class="form-label">Portfolio Url</label>
                                            <input type="text" class="form-control" value="https://demo.com/">
                                        </div>
                                    </div>-->

                                    <div class="col-sm-12">
                                        <div class="form-group">
                                            <label class="form-label">Image de profil</label>
                                            <input type="file" class="form-control" name="profile_picture">
                                        </div>
                                    </div>

                                    <div class="col-sm-12">
                                        <div class="form-group">
                                            <label class="form-label">Adresse</label>
                                            <textarea class="form-control" name="address">{{$user->address}}</textarea>
                                        </div>
                                    </div>

                                </div>
                            </div>
                            
                            <div class="card-footer text-end">
                                <button class="btn btn-primary" type="submit">Modifier Profil</button>
                                <button class="btn btn-outline-dark ms-2" type="reset">Effacer</button>
                            </div>
                        </form>
                        </div>
                    </div>

                    <!--<div class="tab-pane fade" id="user-set-account" role="tabpanel" aria-labelledby="user-set-account-tab">
                        <div class="card">
                            <div class="card-header">
                                <h5>
                                    <i data-feather="target" class="icon-svg-primary wid-20"></i><span class="p-l-5">Account Information</span>
                                    <small class="text-muted d-block m-l-25 m-t-5">change your account settings</small>
                                </h5>
                            </div>
                            <div class="card-body">
                                <h5 class="mb-4">General</h5>
                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label class="form-label">Username <span class="text-danger">*</span></label>
                                            <input type="text" class="form-control" value="Ashoka_Tano_16">
                                            <small class="form-text text-muted">Your Profile URL: https://pc.com/Ashoka_Tano_16</small>
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label class="form-label">Account Email <span class="text-danger">*</span></label>
                                            <input type="text" class="form-control" value="demo@sample.com">
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label class="form-label">Language</label>
                                            <select class="form-control">
                                                <option>Washington</option>
                                                <option>India</option>
                                                <option>Africa</option>
                                                <option>New York</option>
                                                <option>Malesia</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <label class="form-label">Signin Using</label>
                                            <select class="form-control">
                                                <option>Password</option>
                                                <option>Face Recognition</option>
                                                <option>Thumb Impression</option>
                                                <option>Key</option>
                                                <option>Pin</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <hr>
                                <h5 class="mb-4">Secure Browsing</h5>
                                <div class="form-group">
                                    <div class="form-check form-switch">
                                        <input class="form-check-input" type="checkbox" id="customsecbrz1" checked>
                                        <label class="form-check-label" for="customsecbrz1">Browsing Securely ( https ) when it's necessary</label>
                                    </div>
                                </div>
                                <hr>
                                <h5 class="mb-4">Login Notifications</h5>
                                <div class="form-check form-switch">
                                    <input class="form-check-input" type="checkbox" id="customsecbrz2" checked>
                                    <label class="form-check-label" for="customsecbrz2">Notify when login attemped from outher place</label>
                                </div>
                                <hr>
                                <h5 class="mb-3">Login Approvals</h5>
                                <div class="form-check form-switch">
                                    <input class="form-check-input" type="checkbox" id="customsecbrz3" checked>
                                    <label class="form-check-label" for="customsecbrz3">Approvals is not required when login from unrecognized devices.</label>
                                </div>
                                <hr>
                                <h5 class="mb-4">Recognized Devices</h5>
                                <div class="media mb-2">
                                    <i class="feather icon-monitor f-20 h3 me-3 wid-30 text-center"></i>
                                    <div class="media-body">
                                        <div class="float-end">
                                            <div class="text-success d-inline-block me-2">
                                                <i class="fas fa-circle f-10 me-2"></i>
                                                Current Active
                                            </div>
                                            <a href="#!" class="text-danger"><i class="feather icon-x-circle"></i></a>
                                        </div>
                                        <span class="text-dark font-weight-bold">Cett Desktop</span>
                                        <span class="text-muted">| 4351 Deans Lane, Elmsford</span>
                                    </div>
                                </div>
                                <div class="media mb-2">
                                    <i class="feather icon-tablet f-20 h3 me-3 wid-30 text-center"></i>
                                    <div class="media-body">
                                        <div class="float-end">
                                            <div class="text-muted d-inline-block me-2">
                                                <i class="fas fa-circle f-10 me-2"></i>
                                                Active 5 days ago
                                            </div>
                                            <a href="#!" class="text-danger"><i class="feather icon-x-circle"></i></a>
                                        </div>
                                        <span class="text-dark font-weight-bold">Imoon Tablet</span>
                                        <span class="text-muted">| 4185 Michigan Avenue, SHIPPINGPORT</span>
                                    </div>
                                </div>
                                <div class="media mb-2">
                                    <i class="feather icon-smartphone f-20 h3 me-3 wid-30 text-center"></i>
                                    <div class="media-body">
                                        <div class="float-end">
                                            <div class="text-muted d-inline-block me-2">
                                                <i class="fas fa-circle f-10 me-2"></i>
                                                Active 1 month ago
                                            </div>
                                            <a href="#!" class="text-danger"><i class="feather icon-x-circle"></i></a>
                                        </div>
                                        <span class="text-dark font-weight-bold">Asbs Mobile</span>
                                        <span class="text-muted">| 3462 Fairfax Drive, Montclair</span>
                                    </div>
                                </div>
                                <hr>
                                <h5 class="mb-3">Active Sessions</h5>
                                <div class="media mb-2">
                                    <i class="feather icon-monitor f-20 h3 me-3 wid-30 text-center text-success"></i>
                                    <div class="media-body">
                                        <div class="float-end">
                                            <a href="#!" class="badge bg-light-danger">Logout</a>
                                        </div>
                                        <span class="text-dark font-weight-bold">Cett Desktop</span>
                                        <span class="text-muted">| 4351 Deans Lane, Elmsford</span>
                                    </div>
                                </div>
                                <div class="media mb-2">
                                    <i class="feather icon-tablet f-20 h3 me-3 wid-30 text-center text-success"></i>
                                    <div class="media-body">
                                        <div class="float-end">
                                            <a href="#!" class="badge bg-light-danger">Logout</a>
                                        </div>
                                        <span class="text-dark font-weight-bold">Imoon Tablet</span>
                                        <span class="text-muted">| 4185 Michigan Avenue, SHIPPINGPORT</span>
                                    </div>
                                </div>
                            </div>
                            <div class="card-footer text-end">
                                <button class="btn btn-success">Update Profile</button>
                                <button class="btn btn-outline-dark ms-2">Clear</button>
                            </div>
                        </div>
                    </div>-->

                    <div class="tab-pane fade" id="user-set-passwort" role="tabpanel" aria-labelledby="user-set-passwort-tab">
                       <!-- <div class="alert alert-warning" role="alert">
                            <h5 class="alert-heading"><i class="feather icon-alert-circle me-2"></i>Alert!</h5>
                            <p>Your Password will expire in every 3 months. So change it periodically.</p>
                            <hr>
                            <p class="mb-0">Do not share your password</p>
                        </div>-->
                        <div class="card">
                            <div class="card-header">
                                <h5><i data-feather="lock" class="icon-svg-primary wid-20"></i><span class="p-l-5">Changement de mot de passe</span></h5>
                            </div>

                            <form method="POST" action="{{ route('updatepassword') }}">
                                @csrf
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label class="form-label">Mot de passe actuel <span class="text-danger">*</span></label>
                                                <input type="text" class="form-control" placeholder="Entrer votre mot de passe actuel" name="old_password">
                                                <!--<small class="form-text text-muted">Mot de passe oublié? <a href="#!">Cliquer ici</a></small>-->
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label class="form-label">Nouveau mot de passe <span class="text-danger">*</span></label>
                                                <input type="text" class="form-control" placeholder="Entrer Nouveau mot de passe" name="new_password">
                                            </div>
                                        </div>
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                <label class="form-label">Confirmation de mot de passe <span class="text-danger">*</span></label>
                                                <input type="text" class="form-control" placeholder="Entrer votre nouveau mot de passe de nouveau" name="confirm_password">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            
                            <div class="card-footer text-end">
                                <button class="btn btn-danger" type="submit">Changer mot de passe</button>
                                <button class="btn btn-outline-dark ms-2" type="reset">Annuler</button>
                            </div>
                        </form>
                        </div>
                    </div>
                    <!--<div class="tab-pane fade" id="user-set-email" role="tabpanel" aria-labelledby="user-set-email-tab">
                        <div class="card">
                            <div class="card-header">
                                <h5><i data-feather="at-sign" class="icon-svg-primary wid-20"></i><span class="p-l-5">Email Settings</span></h5>
                                <div class="card-header-right">
                                    <div class="btn-group card-option">
                                        <button type="button" class="btn dropdown-toggle btn-icon" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                            <i class="feather icon-more-horizontal"></i>
                                        </button>
                                        <ul class="list-unstyled card-option dropdown-menu dropdown-menu-end">
                                            <li class="dropdown-item full-card"><a href="#!"><span><i class="feather icon-maximize"></i> maximize</span><span style="display:none"><i class="feather icon-minimize"></i> Restore</span></a></li>
                                            <li class="dropdown-item minimize-card"><a href="#!"><span><i class="feather icon-minus"></i> collapse</span><span style="display:none"><i class="feather icon-plus"></i> expand</span></a></li>
                                            <li class="dropdown-item reload-card"><a href="#!"><i class="feather icon-refresh-cw"></i> reload</a></li>
                                            <li class="dropdown-item close-card"><a href="#!"><i class="feather icon-trash"></i> remove</a></li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            <ul class="list-group list-group-flush">
                                <li class="list-group-item py-4">
                                    <h5 class="mb-3">Setup Email Notification</h5>
                                    <div class="m-l-40">
                                        <div class="form-check form-switch">
                                            <input class="form-check-input" type="checkbox" id="customSwitchemlnot1" checked>
                                            <label class="form-check-label" for="customSwitchemlnot1">Email Notification</label>
                                        </div>
                                        <div class="form-check form-switch">
                                            <input class="form-check-input" type="checkbox" id="customSwitchemlnot2">
                                            <label class="form-check-label" for="customSwitchemlnot2">Send Copy To Personal Email</label>
                                        </div>
                                    </div>
                                </li>
                                <li class="list-group-item py-4">
                                    <h5 class="mb-3">Activity Related Emails</h5>
                                    <div class="m-l-40">
                                        <h6 class="mt-4 mb-2">When to email?</h6>
                                        <div class="form-check form-switch">
                                            <input class="form-check-input" type="checkbox" id="customCheckactmail1" checked>
                                            <label class="form-check-label" for="customCheckactmail1">have new notifications</label>
                                        </div>
                                        <div class="form-check form-switch">
                                            <input class="form-check-input" type="checkbox" id="customCheckactmail2" checked>
                                            <label class="form-check-label" for="customCheckactmail2">You're sent a direct message</label>
                                        </div>
                                        <div class="form-check form-switch">
                                            <input class="form-check-input" type="checkbox" id="customCheckactmail3" checked>
                                            <label class="form-check-label" for="customCheckactmail3">Someone adds you as a connection</label>
                                        </div>
                                        <h6 class="mt-4 mb-2">When to escalate emails?</h6>
                                        <div class="form-check form-switch">
                                            <input class="form-check-input" type="checkbox" id="customCheckactmail4" checked>
                                            <label class="form-check-label" for="customCheckactmail4">Upon new order</label>
                                        </div>
                                        <div class="form-check form-switch">
                                            <input class="form-check-input" type="checkbox" id="customCheckactmail5" checked>
                                            <label class="form-check-label" for="customCheckactmail5">New membership approval</label>
                                        </div>
                                        <div class="form-check form-switch">
                                            <input class="form-check-input" type="checkbox" id="customCheckactmail6" checked>
                                            <label class="form-check-label" for="customCheckactmail6">Member registration</label>
                                        </div>
                                    </div>
                                </li>
                                <li class="list-group-item py-4 border-bottom-0">
                                    <h5 class="mb-3">Updates From System Notification</h5>
                                    <div class="m-l-40">
                                        <h6 class="mt-4 mb-2">Email you with?</h6>
                                        <div class="form-check">
                                            <input class="form-check-input" type="checkbox" id="customCheckactmail7" checked>
                                            <label class="form-check-label" for="customCheckactmail7">News about PCT-themes products and feature updates</label>
                                        </div>
                                        <div class="form-check">
                                            <input class="form-check-input" type="checkbox" id="customCheckactmail8" checked>
                                            <label class="form-check-label" for="customCheckactmail8">Tips on getting more out of PCT-themes</label>
                                        </div>
                                        <div class="form-check">
                                            <input class="form-check-input" type="checkbox" id="customCheckactmail9" checked>
                                            <label class="form-check-label" for="customCheckactmail9">Things you missed since you last logged into PCT-themes</label>
                                        </div>
                                        <div class="form-check">
                                            <input class="form-check-input" type="checkbox" id="customCheckactmail10" checked>
                                            <label class="form-check-label" for="customCheckactmail10">News about products and other services</label>
                                        </div>
                                        <div class="form-check">
                                            <input class="form-check-input" type="checkbox" id="customCheckactmail11" checked>
                                            <label class="form-check-label" for="customCheckactmail11">Tips and Document business products</label>
                                        </div>
                                    </div>
                                </li>
                            </ul>
                            <div class="card-footer text-end">
                                <button class="btn btn-warning">Update Change</button>
                                <button class="btn btn-outline-dark ms-2">Clear</button>
                            </div>
                        </div>
                    </div>-->
                </div>
            </div>
            <!-- [ sample-page ] end -->
        </div>
        <!-- [ Main Content ] end -->
@endsection